thVoteAreaRatio = [0.15 0.15 0.15]; %reduce thVoteAreaRatio to obtain more points less stable.
thEigenvalueRatio = 0.1;
thresholdDeterminant = 1e-6;
thresholdRMS = 0.25;


img = imread('img1.jpg');
img = double(img)/255;
[ptsCMap,RCs] = BuildScaleConvergenceMap(3,img,thVoteAreaRatio,thEigenvalueRatio,thresholdDeterminant,thresholdRMS);

imgreg = AddConvergenceRegions(img,RCs);

figure,imshow(imgreg)
hold on
plot(ptsCMap(:,1),ptsCMap(:,2),'b.')

